Subject: Clock Parts: Source

From: [email-masked] (David Thompson)
Date: 29 Dec 1992 13:37 PST

I received a couple requests for the address, so I am posting it:

	Klockit		Phone: 1-800-KLOCKIT
	P.O. Box 636
	Lake Geneva, Wi  53147

	The above phone number is for orders (Visa, MC, Discover), as well
as customer service info - they will probably be able to send you their 
current catalog. They have books, kits, plans, tools, music box innards, and
watches in addition to a complete selection of clock movements, hands, pendula,
etc. Again, I have had very good service from these folks, and the quality
of the parts is excellent (I have made 32 clocks so far!). Good Luck!

							-Dave.